Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoTool Class Reference
GoSdk/Tools

## Description

Represents the base tool class.

Inheritance diagram for GoTool:

## Public Member Functions
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...

## Member Function Documentation

GoMeasurement GoTool_FindMeasurementByType | ( | GoTool | tool,
|  | GoMeasurementType | type
| ) |  |

Retrieves the first found instance of a measurement for a given enumeration type.

Parameters

  tool | GoTool object.
  type | A GoMeasurementType representing the measurement type to find in the given tool.

Returns
  A measurement object if one is found, otherwise kNULL.

GoMeasurement GoTool_MeasurementAt | ( | GoTool | tool,
|  | kSize | index
| ) |  |

Retrieves the measurement at the given index.

Parameters

  tool | GoTool object.
  index | The index of the measurement.

Returns
  The measurement at the given index or kNULL if an invalid index is provided.

kSize GoTool_MeasurementCount | ( | GoTool | tool | ) |

Returns the measurement count.

Parameters

  tool | GoTool object.

Returns
  The measurement count.

kStatus GoTool_Name | ( | GoTool | tool,
|  | kChar * | name,
|  | kSize | capacity
| ) |  |

Retrieves the name of the tool.

Parameters

  tool | GoTool object.
  name | Receives the name of the tool.
  capacity | The maximum capacity of the name array.

Returns
  Operation status.

kStatus GoTool_SetName | ( | GoTool | tool,
|  | const kChar * | name
| ) |  |

Sets the name of the tool.

Parameters

  tool | GoTool object.
  name | The name to be set for the tool.

Returns
  Operation status.

GoToolType GoTool_Type | ( | GoTool | tool | ) |

Retrieves the tool type enumeration value of the tool.

Parameters

  tool | GoTool object.

Returns
  The tool type enumeration value.

The documentation for this class was generated from the following file:

- Tools/GoTool.h